<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <title>Course Work</title>
  <link rel="stylesheet" href="css/style.min.css" />
</head>
<body>
  <div class="navigation" id="header">
    <a href="/">Main</a>
    <a href="#/news">News</a>
    <a href="#/add-post">Add Post</a>
  </div>

  <div class="app-wrapper" id="app">
    <div class="news-feed" id="feedWrapper"></div>
    <div class="news-form" id="formWrapper">
      <form id="addPost" method="post" enctype="multipart/form-data">
        <div class="form-element author">
          <label>
            <span class="required">Author</span>
            <input type="text" name="author" required>
          </label>
        </div>
        <div class="form-element text">
          <label>
            <span class="required">Message</span>
            <textarea placeholder="Your Post" name="text" rows="5" required></textarea>
          </label>
        </div>
        <div class="form-element image-file">
          <label for="imageFile">
        <span class="image-preview">
          <span>No files currently selected for upload.</span>
        </span>
            <input type="file" id="imageFile" name="imageFile" accept=".jpg, .jpeg, .png, .gif, .svg">
          </label>
        </div>
        <div class="form-element image-url">
          <label for="imageUrl">
            <span>Image URL</span>
            <input type="text" id="imageUrl" name="imageUrl">
          </label>
          <span> or </span>
          <button id="uploadImage" class="upload-image">Upload Image</button>
        </div>
        <div class="form-element actions">
          <button type="submit">Send Post</button>
        </div>
      </form>
    </div>
  </div>

  <form id="commentForm" method="post" class="hidden">
    <div class="form-element author">
      <input type="text" name="author" required placeholder="Author">
    </div>
    <div class="form-element text">
      <textarea placeholder="Comment" name="text" rows="5" required></textarea>
    </div>
    <input type="hidden" id="parentId" name="parentId">
    <div class="form-element actions">
      <button type="submit">Send Comment</button>
    </div>
    <div class="form-wrapper"></div>
  </form>

  <script src="js/app.js"></script>
</body>
</html>
